> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Text Outline Instructions

> Generate a deck outline including content and layout instructions



## OpenAPI

````yaml https://api.flashdocs.ai/openapi.json post /v3/generate/outline/instructions
openapi: 3.1.0
info:
  title: FlashDocs API
  description: API for FlashDocs application
  version: 1.0.0
servers:
  - url: https://api.flashdocs.ai
    description: Production server
security: []
paths:
  /v3/generate/outline/instructions:
    post:
      tags:
        - Generate
      summary: Generate Text Outline Instructions
      description: Generate a deck outline including content and layout instructions
      operationId: generate_outline_instructions_v3_generate_outline_instructions_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateOutlineRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DeckContentInstruction'
                type: array
                title: >-
                  Response Generate Outline Instructions V3 Generate Outline
                  Instructions Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    GenerateOutlineRequest:
      properties:
        prompt:
          type: string
          title: Prompt
          description: >-
            The main (ideally information-dense) instructions for how to create
            the slide(s). Can be ~400,000 characters.
          example: >-
            In a few slides, describe the recent Innovations in Renewable
            Energy. Discuss the foundational problems and key papers. Include
            specific examples.
        number_slides:
          anyOf:
            - type: integer
            - type: 'null'
          title: Number Slides
          description: >-
            Optional.The desired number of slides in the generated presentation.
            If not provided, the system will automatically predict the number of
            slides from the prompt.
          example: 5
      type: object
      required:
        - prompt
      title: GenerateOutlineRequest
    DeckContentInstruction:
      properties:
        content_instruction:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Instruction
          description: Optional. Instruction for the content of the slide.
          example: Introduce the topic of renewable energy and its importance.
        layout_instruction:
          anyOf:
            - type: string
            - type: 'null'
          title: Layout Instruction
          description: >-
            Optional. Instruction for the layout/design of the slide. Can only
            provide 1 of `layout_instruction` OR `slide_id`.
          example: Title slide with a background image.
      type: object
      title: DeckContentInstruction
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````